<?php
function h($string) {
  return htmlspecialchars($string, ENT_QUOTES, 'UTF-8');
}

require './facebook-php-sdk/src/facebook.php';
$facebook = new Facebook(array(
  'appId'  => 'アプリケーションID',
  'secret' => 'アプリの秘訣',
  'cookie' => true,
));

$session = $facebook->getSession();
if (!$session) {
  $loginUrl = $facebook->getLoginUrl(array(
    'req_perms' => 'user_checkins',
    'fbconnect' => 0,
  ));
  echo "<script type='text/javascript'>top.location.href = '{$loginUrl}';</script>";
  exit;
}

if (isset($_GET['session'])) {
  $parts = parse_url('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
  $url = $parts['scheme'].'://'.$parts['host'].$parts['path'];

  parse_str($parts['query'], $query);
  unset($query['session']);
  if (!empty($query)) {
    $url .= '?'.http_build_query($query, null, '&');
  }

  header('HTTP/1.1 301 Moved Permanently');
  header('Location: '.$url);
  exit;
}

$checkins = $facebook->api('/me/checkins');
$data = $checkins['data'];

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>My checkins on Facebook!</title>

  <meta http-equiv="Content-Style-Type" content="text/css">
  <style>
  body { padding:0; margin:0; font-family:Tahoma,sans-serif;}
  h1 {
    margin:0; padding:10px 20px; background-color:#3B5998;
    color:#FFFFFF; font-size:1.6em;
  }
  .checkin { width:500px; margin-bottom:20px; list-style-type:none; border-bottom:1px solid #CCCCCC;}
  .message { margin-left:70px; }
  .tags { margin-left:50px; }
  </style>
</head>
<body>
  <h1>My checkins on Facebook!</h1>

  <?php if (count($data) > 0) : ?>
  <ul>
    <?php foreach ($data as $checkin): ?>
      <li class="checkin">
      <div class="info">
        <img src="http://graph.facebook.com/<?php echo h($checkin['from']['id']) ?>/picture?type=square" width="48" height="48" />
      <?php echo h($checkin['from']['name']) ?>:「<?php echo h($checkin['place']['name']) ?>」
      </div>

      <?php if (isset($checkin['message'])): ?>
      <div class="message">
        &gt; <?php echo h($checkin['message']) ?>
      </div>
      <?php endif; ?>

      <?php if (isset($checkin['tags'])): ?>
      <div class="tags">
        一緒にいた人: 
        <?php foreach ($checkin['tags']['data'] as $tag): ?>
        <img src="http://graph.facebook.com/<?php echo h($tag['id']) ?>/picture?type=square" width="32" height="32" />
        <?php endforeach; ?>
      </div>
        <?php endif; ?>
    </li>
      <?php endforeach; ?>
  </ul>
  <?php endif; ?>
</body>
</html>
